Set Implicit Arguments.
Require Import MyTactics.

Lemma le_succ:
  forall m n,
  m <= n ->
  S m <= S n.
Proof.
  intuition omega.
Qed.

Lemma gt_succ:
  forall m n,
  m > n ->
  S m > S n.
Proof.
  intuition omega.
Qed.

Hint Resolve le_succ gt_succ.

Lemma lt_a_fortiori:
  forall m n,
  m < n ->
  m < S n.
Proof.
  intros; omega.
Qed.

